''' <summary>
''' Element zum Anzeigen eines Monats ein einer ComboBox
''' </summary>
Public Class SelectionMonth
    ' Start-Datum (sollte erstem Tag im Monat entsprechen)
    Private m_StartDate As Date

    ''' <summary>
    ''' gibt das Start-Datum fr diesen Monat zurck
    ''' </summary>
    ReadOnly Property StartDate() As Date
        Get
            Return m_StartDate
        End Get
    End Property

    ''' <summary>
    ''' Konstruktor mit einem Start-Datum
    ''' </summary>
    Public Sub New(ByVal StartDate As Date)
        m_StartDate = StartDate
    End Sub

    ''' <summary>
    ''' berschreiben der ToString-Methode, um in der ComboBox einen wunschgerechten
    ''' String fr diesen Monat anzuzeigen
    ''' </summary>
    Public Overrides Function ToString() As String
        Return Format(m_StartDate, "MMMM yyyy")
    End Function
End Class
