Imports System.Xml
''' <summary>
''' stellt einen Zeitbereich dar
''' </summary>
Public Class TimeArea

    ' Start-Zeitpunkt
    Private m_Start As Date
    ' Lnge in Minuten
    Private m_Length As Integer

    ''' <summary>
    ''' gibt den Start-Zeitpunkt zurck oder legt diesen fest 
    ''' </summary>
    Property Start() As Date
        Get
            Return m_Start
        End Get
        Set(ByVal value As Date)
            m_Start = value
        End Set
    End Property

    ''' <summary>
    ''' gibt die Dauer in Minuten zurck oder legt diese fest
    ''' </summary>
    Property Length() As Integer
        Get
            Return m_Length
        End Get
        Set(ByVal value As Integer)
            m_Length = value
        End Set
    End Property

    ''' <summary>
    ''' gibt den End-Zeitpunkt als Datum zurck
    ''' </summary>
    ReadOnly Property Ende() As Date
        Get
            Return m_Start.AddMinutes(m_Length)
        End Get
    End Property

    ''' <summary>
    ''' Default Konstruktor
    ''' </summary>
    ''' <param name="Start">Start-Zeitpunkt</param>
    ''' <param name="Length">Dauer in Minuten</param>
    Public Sub New(ByVal Start As Date, ByVal Length As Integer)
        m_Start = Start
        m_Length = Length
    End Sub

End Class
